
TYPO3.TYPO3CR - Bug # 1484

Status: Resolved Priority: Should have
Author: Matthias Hörmann Category:
Created: 2008-09-09 Assigned To: Matthias Hörmann
Updated: 2011-05-05 Due date:
Subject: Namespace columns are used to store URIs now but are only VARCHAR(255)
Description

...but URIs can be up to 2048 characters according to most sources

Associated revisions
Revision ccf6e16f - 2008-09-19 18:25 - Karsten Dambekalns
TYPO3CR: Implemented MySQL testing, vastly improved PostgreSQL testing and wrote install shell script.
    -  the SQL code contains key lengths for MySQL which are removed by all code that uses the SQL automatically if the database type is not mysql,
fixes #1486
    -  namespace URIs are now stored in TEXT columns, fixes #1484
    -  MySQL gets it's ANSI_QUOTES option after connection setup in all places where connections are made
    -  install.sh allows fully automated setup of both production and test databases: MySQL, PostgreSQL, SQLite; calls fixpermissions.sh
    -  install.sh automatically calls web based database setup via lynx (could be wget if there are problems with the availability of lynx but lynx -dump
gives more meaningful output)
    -  testdb.sh replaces the various db specific tools and is used by install.sh for testdb setup, also allows dumping and cleanup of test databases
    -  PHP code uses testdb.conf to read test database settings (all except sqlite currently)
    -  production and testing now use the same database schema file, multi-line statements are now supported by the storage helper too

Patch (mostly) by Matthias Hörmann.

History
#1 - 2008-09-12 15:58 - Matthias Hörmann
- Assigned To set to Matthias Hörmann

Resolved in patch sent to Karsten today

#2 - 2008-09-19 19:50 - Karsten Dambekalns
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r1261.
